<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_ldap', language 'cy', version '3.1'.
 *
 * @package     enrol_ldap
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['assignrole'] = 'Wrthi\'n neilltuo\'r swyddogaeth \'{$a->role_shortname}\' i\'r defnyddiwr \'{$a->user_username}\' yn y cwrs \'{$a->course_shortname}\' (id {$a->course_id})';
$string['assignrolefailed'] = 'Heb lwyddo i neilltuo\'r swyddogaeth \'{$a->role_shortname}\' i\'r defnyddiwr \'{$a->user_username}\' yn y cwrs \'{$a->course_shortname}\' (id {$a->course_id})';
$string['autocreate'] = '<p>Gellir creu cyrsiau\'n awtomatig os ceir
cofrestriadau i gwrs nad yw\'n bodoli eto yn Moodle.</p><p>Os ydych chi\'n creu cwrs yn awtomatig, rydym yn awgrymu eich bod yn tynnu\'r galluoedd canlynol: moodle/course:changeidnumber, moodle/course:changeshortname, moodle/course:changefullname a moodle/course:changesummary, oddi wrth y swyddogaethau perthnasol er mwyn gwneud yn siŵr nad yw\'r pedwar maes cwrs a nodir uchod yn cael eu newid (Rhif ID, enw byr, enw llawn a chrynodeb).</p>';
$string['autocreate_key'] = 'Awto greu';
$string['autocreation_settings'] = 'Gosodiadau ar gyfer creu cyrsiau\'n awtomatig';
$string['bind_dn'] = 'Os hoffech chi ddefnyddio\'r broses rhwymo defnyddwyr i chwilio am ddefnyddwyr,
nodwch hynny yma. Rhywbeth fel
\'cn=ldapuser,ou=public,o=org\'';
$string['bind_dn_key'] = 'Rhwymo enw nodedig y defnyddiwr';
$string['bind_pw'] = 'Cyfrinair ar gyfer rhwymo defnyddwyr.';
$string['bind_pw_key'] = 'Cyfrinair';
$string['bind_settings'] = 'Gosodiadau rhwymo';
$string['cannotcreatecourse'] = 'Does dim modd creu\'r cwrs: mae data gofynol o\'r cofnod LDAP ar goll!';
$string['category'] = 'Y categori ar gyfer cyrsiau sydd wedi\'u creu\'n awtomatig.';
$string['category_key'] = 'Categori';
$string['contexts'] = 'Cyd-destunau LDAP';
$string['couldnotfinduser'] = 'Doedd dim modd dod o hyd i\'r defnyddiwr \'{$a}\', hepgor';
$string['course_fullname'] = 'Dewisol: Y maes LDAP i gael yr enw llawn ohono.';
$string['course_fullname_key'] = 'Enw llawn';
$string['course_idnumber'] = 'Mapio i\'r dynodydd unigryw yn LDAP, fel arfer
<em>cn</em> neu <em>uid</em>. Argymhellir
eich bod yn cloi\'r gwerth os ydych yn
creu cyrsiau\'n awtomatig.';
$string['course_idnumber_key'] = 'Rhif ID';
$string['course_search_sub'] = 'Chwilio aelodaeth grŵp o is gyd-destunau';
$string['course_search_sub_key'] = 'Chwilio is gyd-destunau';
$string['course_settings'] = 'Gosodiadau cofrestru ar gwrs';
$string['course_shortname'] = 'Dewisol: Y maes LDAP i gael yr enw byr ohono.';
$string['course_shortname_key'] = 'Enw byr';
$string['course_summary'] = 'Dewisol: Y maes LDAP i gael y crynodeb ohono.';
$string['course_summary_key'] = 'Crynodeb';
$string['coursenotexistskip'] = 'Dydy\'r cwrs \'{$a}\' ddim yn bodoli ac mae awto-greu wedi\'i analluogi. Wrthi\'n hepgor';
$string['createcourseextid'] = 'CREU Mae\'r defnyddiwr wedi cofrestru i gwrs sydd ddim yn bodoli \'{$a->courseextid}\'';
$string['createnotcourseextid'] = 'Mae\'r defnyddiwr wedi cofrestru ar gwrs sydd ddim yn bodoli \'{$a->courseextid}\'';
$string['creatingcourse'] = 'Wrthi\'n creu cwrs \'{$a}\'...';
$string['editlock'] = 'Cloi gwerth';
$string['emptyenrolment'] = 'Cofrestriad gwag ar gyfer y swyddogaeth \'{$a->role_shortname}\' yn y cwrs \'{$a->course_shortname}\'';
$string['enrolname'] = 'LDAP';
$string['enroluser'] = 'Cofrestru\'r defnyddiwr \'{$a->user_username}\' yn y cwrs \'{$a->course_shortname}\' (id {$a->course_id})';
$string['enroluserenable'] = 'Wedi galluogi cofrestriad ar gyfer y defnyddiwr \'{$a->user_username}\' yn y cwrs \'{$a->course_shortname}\' (id {$a->course_id})';
$string['explodegroupusertypenotsupported'] = 'Dydy ldap_explode_group() ddim yn gallu delio â\'r math o ddefnyddiwr a ddewiswyd: {$a}';
$string['extcourseidinvalid'] = 'Mae ID allanol y cwrs yn annilys!';
$string['extremovedsuspend'] = 'Wedi analluogi cofrestriad ar gyfer y defnyddiwr \'{$a->user_username}\' yn y cwrs \'{$a->course_shortname}\' (id {$a->course_id})';
$string['extremovedsuspendnoroles'] = 'Wedi analluogi cofrestriad a thynnu swyddogaethau ar gyfer y defnyddiwr \'{$a->user_username}\' yn y cwrs \'{$a->course_shortname}\' (id {$a->course_id})';
$string['extremovedunenrol'] = 'Tynnu cofrestriad y defnyddiwr \'{$a->user_username}\' o\'r cwrs \'{$a->course_shortname}\' (id {$a->course_id})';
$string['failed'] = 'Wedi methu!';
$string['general_options'] = 'Dewisiadau cyffredinol';
$string['group_memberofattribute'] = 'Enw\'r briodwedd sy\'n pennu pa grwpiau mae defnyddiwr neu grŵp yn perthyn iddi (e.e. aelodO, AelodaethGrŵp, ayb.)';
$string['group_memberofattribute_key'] = 'Priodwedd \'Aelod o\'';
$string['host_url'] = 'Pennwch y gwesteiwr LDAP ar ffurf URL e.e.
\'ldap://ldap.myorg.com/\'
neu \'ldaps://ldap.myorg.com/\'';
$string['host_url_key'] = 'URL y Gwesteiwr';
$string['idnumber_attribute'] = 'Os yw\'r aelodaeth grŵp yn cynnwys enwau nodedig, pennwch yr un briodwedd a ddefnyddioch ar gyfer y defnyddiwr \'Rhif ID\' gan fapio\'r gosodiadau dilysu LDAP.';
$string['idnumber_attribute_key'] = 'Priodwedd rhif ID';
$string['ldap:manage'] = 'Rheoli achosion cofrestru LDAP';
$string['ldap_encoding'] = 'Pennwch yr amgodio sy\'n cael ei ddefnyddio gan y gweinydd LDAP. Mae utf-8, MS AD v2 fwy na thebyg yn defnyddio\'r amgodio platfform diofyn fel cp1252, cp1250, ayb.';
$string['ldap_encoding_key'] = 'Amgodio LDAP';
$string['memberattribute'] = 'Priodoledd aelod LDAP';
$string['memberattribute_isdn'] = 'Os yw aelodaeth y grŵp yn cynnwys enwau nodedig, bydd angen i chi ei bennu yma. Os ydyw, mae angen i chi hefyd ffurfweddu\'r gosodiadau sydd ar ôl yn yr adran hon';
$string['memberattribute_isdn_key'] = 'Priodwedd aelod yn defnyddio dn';
$string['nested_groups'] = 'Ydych chi am ddefnyddio grwpiau ar ffurf nyth (grwpiau o grwpiau) ar gyfer cofrestru?';
$string['nested_groups_key'] = 'Grwpiau ar ffurf nyth';
$string['nested_groups_settings'] = 'Gosodiadau grwpiau ar ffurf nyth';
$string['nosuchrole'] = 'Dim swyddogaeth o\'r fath: \'{$a}\'';
$string['objectclass'] = 'Defnyddio objectClass i chwilio am gyrsiau. Fel arfer,
\'posixGroup\'.';
$string['objectclass_key'] = 'Dosbarth gwrthrych';
$string['ok'] = 'IAWN!';
$string['opt_deref'] = 'Os yw aelodaeth y grŵp yn cynnwys enwau nodedig, pennwch sut mae ffugenwau yn cael eu trin wrth chwilio. Dewiswch un o\'r gwerthoedd canlynol: \'Na\' (LDAP_DEREF_NEVER) neu \'Iawn\' (LDAP_DEREF_ALWAYS)';
$string['opt_deref_key'] = 'Tynnu cyfeiriadau enwau ffug';
$string['phpldap_noextension'] = '<em>Mae\'n edrych fel nad yw\'r modiwl PHP LDAP yn bresennol. Gwnewch yn siŵr ei fod wedi\'i osod a\'i alluogi os ydych chi am ddefnyddio\'r ategyn cofrestru.</em>';
$string['pluginname'] = 'Cofrestriadau LDAP';
$string['pluginname_desc'] = '<p>Gallwch ddefnyddio gweinydd LDAP i reoli eich cofrestriadau.
Tybir bod eich coeden LDAP yn cynnwys grwpiau sy\'n mapio i\'r
cyrsiau, ac y bydd gan bob un o\'r grwpiau/cyrsiau hynny
gofnodion aelodaeth i\'w mapio i fyfyrwyr.</p>
Tybir bod cyrsiau\'n cael eu diffinio fel grwpiau yn
LDAP, gyda nifer o feysydd aelodaeth i bob grŵp
o\'r enw (<em>aelod</em> neu <em>id defnyddiwr aelod</em>) sy\'n cynnwys ffordd unigryw
o adnabod y defnyddiwr.</p>
<p>I ddefnyddio\'r broses cofrestru LDAP, <strong>rhaid</strong> i\'ch defnyddwyr
fod â maes rhifid dilys. Rhaid i\'r grwpiau LDAP gynnwys
y rhif id hwnnw yn y maes aelodau er mwyn cofrestru defnyddiwr ar y cwrs.
Bydd hyn yn gweithio\'n dda fel arfer os ydych chi eisoes yn defnyddio
Dilysu LDAP.</p>
<p>Caiff cofrestriadau eu diweddaru pan fydd y defnyddiwr yn mewngofnodi. Gallwch
hefyd redeg sgript i gysoni cofrestriadau drwy\'r amser. Edrychwch yn
<em>enrol/ldap/enrol_ldap_sync.php</em>.</p>
<p>Hefyd, gellir dewis bod yr ategyn hwn yn creu cyrsiau newydd yn
awtomatig pan fydd grwpiau newydd yn ymddangos yn LDAP.</p>';
$string['pluginnotenabled'] = 'Nid yw\'r ategyn wedi\'i alluogi!';
$string['role_mapping'] = 'p>For each rol that you want to assign from LDAP, you need to specify the list of contexts where the role courses\'s groups are located. Separate different contexts with \';\'.</p><p>You also need to specify the attribute your LDAP server uses to hold the members of a group. Usually \'member\' or \'memberUid\'</p>';
$string['role_mapping_key'] = 'Mapio swyddogaethau o LDAP';
$string['roles'] = 'Mapio swyddogaethau';
$string['server_settings'] = 'Gosodiadau Gweinydd LDAP';
$string['synccourserole'] = '== Wrthi\'n cysoni\'r cwrs \'{$a->idnumber}\' ar gyfer y swyddogaeth \'{$a->role_shortname}\'';
$string['template'] = 'Dewisol: gall cyrsiau a grëir yn awtomatig gopïo
eu gosodiadau o gwrs templed.';
$string['template_key'] = 'Templed';
$string['unassignrole'] = 'Wrthi\'n dad-neilltuo\'r swyddogaeth \'{$a->role_shortname}\' ar gyfer y defnyddiwr \'{$a->user_username}\' o\'r cwrs \'{$a->course_shortname}\' (id {$a->course_id})';
$string['unassignrolefailed'] = 'Heb lwyddo i ddad-neilltuo\'r swyddogaeth \'{$a->role_shortname}\' ar gyfer y defnyddiwr \'{$a->user_username}\' o\'r cwrs \'{$a->course_shortname}\' (id {$a->course_id})';
$string['unassignroleid'] = 'Wrthi\'n dad-neilltuo ID swyddogaeth \'{$a->role_id}\' ar gyfer yr ID defnyddiwr \'{$a->user_id}\'';
$string['updatelocal'] = 'Diweddaru data lleol';
$string['user_attribute'] = 'If the group membership contains distinguised names, specify the attribute used to name/search users. If you are using LDAP authentication, this value should match the attribute specified in the \'ID Number\' mapping in the LDAP authentication plugin';
$string['user_attribute_key'] = 'Priodwedd rhif ID';
$string['user_contexts'] = 'If the group membership contains distinguised names, specify the list of contexts where users are located. Separate different contexts with \';\'. For example: \'ou=users,o=org; ou=others,o=org\'';
$string['user_contexts_key'] = 'Cyd-destunau';
$string['user_search_sub'] = 'Os yw aelodaeth y grŵp yn cynnwys enwau nodedig, pennwch a ddylid chwilio am ddefnyddwyr mewn isgyd-destunau hefyd';
$string['user_search_sub_key'] = 'Chwilio is gyd-destunau';
$string['user_settings'] = 'Gosodiadau chwilio defnyddiwr';
$string['user_type'] = 'Os yw aelodaeth y grŵp yn cynnwys enwau nodedig, pennwch sut mae defnyddwyr yn cael eu storio yn LDAP';
$string['user_type_key'] = 'Math o ddefnyddiwr';
$string['version'] = 'Fersiwn y protocol LDAP y mae eich gweinydd yn ei ddefnyddio.';
$string['version_key'] = 'Fersiwn';
